Summary: DIM - Distributed Information Management System
Name: dim
Version: 20.13
Release: 1
URL: http://www.cern.ch/dim
Source: %{name}-%{version}.src.tar.gz
License: CERN
Group: Applications/Communications
Packager: Martin Vala <martin.vala@cern.ch>
#Prefix: /opt/%{name}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: openmotif-devel, tcsh
#Provides: dim-lib

# here is defined the installation root directory
%define pkgname %{name}-%{version}
#%define destdir %{prefix}
#%define debug_package %{nil}
%define dim_arch $(echo "$(uname)" | awk '{print tolower($0)}')

%description
DIM is a communication system for distributed / mixed environments, it provides
a network transparent inter-process communication layer.

%package devel
Summary:        Header files for dim library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for dim library.

%package utils
Summary:        Utilities for dim library
Group:          Applications/Communications
Requires:       %{name} = %{version}-%{release}

%description utils
Utilities for dim library.

%prep
# extract archive
%setup -n %{pkgname}
rm -rf bin32

%build
export DIMDIR=`pwd`
export OS=`uname`
export OS_LOW=$(echo "$OS" | awk '{print tolower($0)}')
%ifarch x86_64
csh -c 'source ./.setup; gmake realclean; gmake X64=yes'
%else
csh -c 'source ./.setup; gmake realclean; gmake X64=no'
%endif

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mv %{dim_arch}/*.so $RPM_BUILD_ROOT%{_libdir}/
mv %{dim_arch}/*.a $RPM_BUILD_ROOT%{_libdir}/
mkdir -p $RPM_BUILD_ROOT%{_includedir}/%{name}
cp -r %{name} $RPM_BUILD_ROOT%{_includedir}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
find %{dim_arch} -perm /a+x -exec cp {} $RPM_BUILD_ROOT%{_datadir}/%{name} \;

%clean
# remove source files
rm -rf $RPM_BUILD_DIR/%{pkgname}
# remove installed files
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%{_libdir}/*.so

%files devel
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/libdim.a

%files utils
%defattr (-,root,root)
%{_datadir}/%{name}/checkDimServers
%{_datadir}/%{name}/checkDns
%{_datadir}/%{name}/did
%{_datadir}/%{name}/DimBridge
%{_datadir}/%{name}/dim_get_service
%{_datadir}/%{name}/dim_send_command
%{_datadir}/%{name}/dns
%{_datadir}/%{name}/test_client
%{_datadir}/%{name}/testClient
%{_datadir}/%{name}/test_server
%{_datadir}/%{name}/testServer
%{_datadir}/%{name}/webDid

